Fulfillment API

Get Date Change Reasons

Get a reference list of supported date change reasons.

get
https://fulfillment-api.centraldispatch.com/api/fulfillments/datechangereasons

Headers

Acceptstringrequired

The major version of the API to make a request against. This is a custom MIME type that contains vnd.coxauto.v[#]+. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to application/vnd.coxauto.v1+json.

Example:application/vnd.coxauto.v1+json

Response

application/json

OK. Successful request.

DateChangeReasonCollection

Details of a collection of items with ID and Name pairs.

itemsarray | null[object]

Details of the date change reason.

Show Child Parameters
get/api/fulfillments/datechangereasons
 
application/json

Get Cancellation Reasons

Get a reference list of supported load cancellation reasons.

get
https://fulfillment-api.centraldispatch.com/api/fulfillments/loadcancellationreasons

Query Parameters

marketplaceIdinteger | null(int32)

Example:10000

Headers

Acceptstringrequired

The major version of the API to make a request against. This is a custom MIME type that contains vnd.coxauto.v[#]+. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to application/vnd.coxauto.v1+json.

Example:application/vnd.coxauto.v1+json

Response

application/json

OK. Successful request.

CancelReasonCollection

Details of dispatch cancel reasons.

itemsarray | null[object]

Details of cancel reasons.

Show Child Parameters
get/api/fulfillments/loadcancellationreasons
 
application/json

Create Dispatch Note

Create an internal load note for the given dispatch.

post
https://fulfillment-api.centraldispatch.com/api/fulfillments/notes

Headers

Content-Typestringrequired

The major version of the API to make a request against. This is a custom MIME type that contains vnd.coxauto.v[#]+. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to application/vnd.coxauto.v1+json.

Example:application/vnd.coxauto.v1+json

Body

application/json

CreateNoteRequest

CreateNoteRequest

Details of a note.

dispatchIdstring(uuid)

The ID of the dispatch.

Example:d159acc0-e89b-12d3-a456-426614174000

messagestring

The content of the note.

Example:Carrier called - pickup rescheduled for tomorrow.

visibilityTypestring | null

The visibility type of the note. Allowed values: INTERNAL. Defaults to INTERNAL if not provided.

Example:INTERNAL

Response

Created. Successful request.

post/api/fulfillments/notes

Body

{ "dispatchId": "d159acc0-e89b-12d3-a456-426614174000", "message": "Carrier called - pickup rescheduled for tomorrow.", "visibilityType": "INTERNAL" }
 

Get Dispatch Notes

Get the most recent notes for the given dispatch, ordered by creation date descending. Returns up to 500 notes scoped to the caller’s customer ID and profile type.

get
https://fulfillment-api.centraldispatch.com/api/fulfillments/id/{dispatchId}/notes

Path Parameters

dispatchIdstring(uuid)required

The ID of the dispatch.

Example:d159acc0-e89b-12d3-a456-426614174000

Headers

Acceptstringrequired

The major version of the API to make a request against. This is a custom MIME type that contains vnd.coxauto.v[#]+. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to application/vnd.coxauto.v1+json.

Example:application/vnd.coxauto.v1+json

Response

application/json

OK. Successful request.

NoteCollection

A collection of notes.

hrefstring

The URL used to query the current collection of the resource.

Example:https://fulfillment-api.centraldispatch.com/api/fulfillments/id/d159acc0-e89b-12d3-a456-426614174000/notes

countinteger(int32)

The total count of resources in the collection.

Example:23

itemsarray[object]

Details of an internal load note.

Show Child Parameters
get/api/fulfillments/id/{dispatchId}/notes
 
application/json

AdditionalInformationRequest

object

Details of additional information.

namestring

The name of the additional information.

Example:contractedCarrier

valuestring

The value of the additional information.

Example:true

Example